%define upstream_name    Mail-SPF
%define upstream_version v2.9.0

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Perl implementation of Sender Policy Framework and Sender ID
License:    BSD
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:     http://www.cpan.org/modules/by-module/Mail/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Error)
BuildRequires: perl(Module::Build) >= 0.280.500
BuildRequires: perl(Net::DNS) >= 0.620.0
BuildRequires: perl(Net::DNS::Resolver::Programmable) >= 0.2.1
BuildRequires: perl(NetAddr::IP) >= 4.0.0
BuildRequires: perl(Test::More)
BuildRequires: perl(URI) >= 1.130.0
BuildRequires: perl(version)
BuildRequires: perl(version)
Obsoletes:  perl-Mail-SPF-Query
BuildArch:  noarch

%description
Mail::SPF is an object-oriented Perl implementation of the Sender Policy
Framework (SPF) e-mail sender authentication system <http://www.openspf.org>.

It supports both the TXT and SPF RR types as well as both SPFv1 (v=spf1) and
Sender ID (spf2.0) records, and it is fully compliant to RFCs 4408 and 4406.
(It does not however implement the patented PRA address selection algorithm
described in RFC 4407.)

%package -n	spf-tools
Summary:    SPF tools (spfquery, spfd) based on the Mail::SPF Perl module
Group:      Development/Perl
#Obsoletes:	perl-Mail-SPF-Query
#Provides:	perl-Mail-SPF-Query = %{version}-%{release}

%description -n	spf-tools
A collection of Sender Policy Framework (SPF) tools that are based on the
fully RFC-conforming Mail::SPF Perl module.  The following tools are included
in this package:

 * mail-spfquery:  A command-line tool for performing SPF checks.
 * mail-spfd:      A daemon for services that perform SPF checks frequently.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

#%%check
#./Build test

%install
./Build install destdir=%{buildroot}

# fix file clash with perl-Mail-SPF-Query
mv %{buildroot}%{_bindir}/spfquery %{buildroot}%{_bindir}/mail-spfquery
mv %{buildroot}%{_sbindir}/spfd %{buildroot}%{_sbindir}/mail-spfd
mv %{buildroot}%{_mandir}/man1/spfquery.1 %{buildroot}%{_mandir}/man1/mail-spfquery.1 

%files
%doc CHANGES INSTALL LICENSE META.yml MYMETA.yml README SIGNATURE TODO
%{perl_vendorlib}/Mail/*.pm
%{perl_vendorlib}/Mail/SPF/Mech/*.pm
%{perl_vendorlib}/Mail/SPF/Mod/*.pm
%{perl_vendorlib}/Mail/SPF/*.pm
%{perl_vendorlib}/Mail/SPF/v1/*.pm
%{perl_vendorlib}/Mail/SPF/v2/*.pm
%{_mandir}/man3/*

%files -n spf-tools
%{_bindir}/mail-spfquery
%{_sbindir}/mail-spfd
%{_mandir}/man1/mail-spfquery.1*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 2.9.0-8.mga8
+ Revision: 1495529
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 2.9.0-7.mga7
+ Revision: 1269216
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 2.9.0-6.mga6
+ Revision: 1029518
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 2.9.0-5.mga6
+ Revision: 931974
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.9.0-4.mga5
+ Revision: 741527
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.9.0-3.mga5
+ Revision: 685321
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.9.0-2.mga4
+ Revision: 530376
- Mageia 4 Mass Rebuild

* Tue Jul 23 2013 sander85 <sander85> 2.9.0-1.mga4
+ Revision: 457493
- update to v2.9.0

* Sun Jan 13 2013 umeabot <umeabot> 2.8.0-2.mga3
+ Revision: 369426
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 26 2012 jquelin <jquelin> 2.8.0-1.mga3
+ Revision: 298376
- update to v2.8.0

* Thu Jan 13 2011 jquelin <jquelin> 2.7.0-3.mga1
+ Revision: 12766
- imported package perl-Mail-SPF


* Sun May 09 2010 Funda Wang <fwang@mandriva.org> 2.7.0-3mdv2010.1
+ Revision: 544110
- obsoletes perl-Mail-SPF-Query

* Mon Jan 11 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.7.0-2mdv2010.1
+ Revision: 489723
- use Module::Build
- spec cleanup

* Fri Nov 06 2009 Jérôme Quelin <jquelin@mandriva.org> 2.7.0-1mdv2010.1
+ Revision: 461793
- update to v2.007

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 2.006-2mdv2010.0
+ Revision: 426521
- rebuild

* Wed Dec 24 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.006-1mdv2009.1
+ Revision: 318290
- update to new version 2.006

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 2.005-3mdv2009.0
+ Revision: 223812
- rebuild

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 2.005-2mdv2008.1
+ Revision: 180448
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Jul 26 2007 Oden Eriksson <oeriksson@mandriva.com> 2.005-1mdv2008.0
+ Revision: 55913
- disable the test suite for now due to unknown failures...
- fix deps (perl-Test-Pod)
-fix deps (perl-YAML)
- fix deps (perl-version)
- Import perl-Mail-SPF



* Mon Jul 02 2007 Oden Eriksson <oeriksson@mandriva.com> 2.005-1mdv2008.0
- initial Mandriva package 
